require_relative './terminal_result_displayer'
require_relative './mini_terminal_result_displayer'

module Gugl
  module Search
    module Displayers
      module DisplayerMapper
        extend self
  
        DISPLAYERS = {
          term: ->{ Displayers::TerminalResultDisplayer.new },
          mini_term: ->{ Displayers::MiniTerminalResultDisplayer.new },
        }
        
        DEFAULT_DISPLAYER = :term
  
        def [](key)
          if key == :default
            DISPLAYERS[DEFAULT_DISPLAYER].call
          else
            DISPLAYERS[key].call
          end
        end
      end
    end
  end
end